Start an import
curl --request POST \
--url https://cloud.kaneo.app/api/import/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"connection": {
"source": "planka",
"url": "https://planka.example.com",
"apiKey": "<string>",
"username": "<string>",
"password": "<string>"
},
"projectIds": [
"<string>"
],
"includeComments": true
}
'import requests
url = "https://cloud.kaneo.app/api/import/runs"
payload = {
"workspaceId": "<string>",
"connection": {
"source": "planka",
"url": "https://planka.example.com",
"apiKey": "<string>",
"username": "<string>",
"password": "<string>"
},
"projectIds": ["<string>"],
"includeComments": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
connection: {
source: 'planka',
url: 'https://planka.example.com',
apiKey: '<string>',
username: '<string>',
password: '<string>'
},
projectIds: ['<string>'],
includeComments: true
})
};
fetch('https://cloud.kaneo.app/api/import/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.kaneo.app/api/import/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspaceId' => '<string>',
'connection' => [
'source' => 'planka',
'url' => 'https://planka.example.com',
'apiKey' => '<string>',
'username' => '<string>',
'password' => '<string>'
],
'projectIds' => [
'<string>'
],
'includeComments' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.kaneo.app/api/import/runs"
payload := strings.NewReader("{\n \"workspaceId\": \"<string>\",\n \"connection\": {\n \"source\": \"planka\",\n \"url\": \"https://planka.example.com\",\n \"apiKey\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n },\n \"projectIds\": [\n \"<string>\"\n ],\n \"includeComments\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud.kaneo.app/api/import/runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspaceId\": \"<string>\",\n \"connection\": {\n \"source\": \"planka\",\n \"url\": \"https://planka.example.com\",\n \"apiKey\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n },\n \"projectIds\": [\n \"<string>\"\n ],\n \"includeComments\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.kaneo.app/api/import/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspaceId\": \"<string>\",\n \"connection\": {\n \"source\": \"planka\",\n \"url\": \"https://planka.example.com\",\n \"apiKey\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n },\n \"projectIds\": [\n \"<string>\"\n ],\n \"includeComments\": true\n}"
response = http.request(request)
puts response.read_body{
"run": {
"id": "<string>",
"workspaceId": "<string>",
"source": "planka",
"status": "running",
"includeComments": true,
"message": "<string>",
"error": "<string>",
"projects": [
{
"sourceId": "<string>",
"name": "<string>",
"status": "pending",
"projectId": "<string>",
"projectSlug": "<string>",
"counts": {
"columns": 123,
"tasks": 123,
"labels": 123,
"comments": 123,
"assignees": 123,
"relations": 123
},
"warnings": [
"<string>"
],
"error": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}Import
Start an import
Import the selected source projects into the workspace as new Kaneo projects. The import runs in the background; poll getImportRun for progress. The credentials are held in memory only while the import runs; they are never stored, logged, or returned. Imported tasks do not send notifications or trigger integrations.
POST
/
import
/
runs
Start an import
curl --request POST \
--url https://cloud.kaneo.app/api/import/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"connection": {
"source": "planka",
"url": "https://planka.example.com",
"apiKey": "<string>",
"username": "<string>",
"password": "<string>"
},
"projectIds": [
"<string>"
],
"includeComments": true
}
'import requests
url = "https://cloud.kaneo.app/api/import/runs"
payload = {
"workspaceId": "<string>",
"connection": {
"source": "planka",
"url": "https://planka.example.com",
"apiKey": "<string>",
"username": "<string>",
"password": "<string>"
},
"projectIds": ["<string>"],
"includeComments": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
connection: {
source: 'planka',
url: 'https://planka.example.com',
apiKey: '<string>',
username: '<string>',
password: '<string>'
},
projectIds: ['<string>'],
includeComments: true
})
};
fetch('https://cloud.kaneo.app/api/import/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.kaneo.app/api/import/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspaceId' => '<string>',
'connection' => [
'source' => 'planka',
'url' => 'https://planka.example.com',
'apiKey' => '<string>',
'username' => '<string>',
'password' => '<string>'
],
'projectIds' => [
'<string>'
],
'includeComments' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.kaneo.app/api/import/runs"
payload := strings.NewReader("{\n \"workspaceId\": \"<string>\",\n \"connection\": {\n \"source\": \"planka\",\n \"url\": \"https://planka.example.com\",\n \"apiKey\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n },\n \"projectIds\": [\n \"<string>\"\n ],\n \"includeComments\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud.kaneo.app/api/import/runs")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspaceId\": \"<string>\",\n \"connection\": {\n \"source\": \"planka\",\n \"url\": \"https://planka.example.com\",\n \"apiKey\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n },\n \"projectIds\": [\n \"<string>\"\n ],\n \"includeComments\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.kaneo.app/api/import/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspaceId\": \"<string>\",\n \"connection\": {\n \"source\": \"planka\",\n \"url\": \"https://planka.example.com\",\n \"apiKey\": \"<string>\",\n \"username\": \"<string>\",\n \"password\": \"<string>\"\n },\n \"projectIds\": [\n \"<string>\"\n ],\n \"includeComments\": true\n}"
response = http.request(request)
puts response.read_body{
"run": {
"id": "<string>",
"workspaceId": "<string>",
"source": "planka",
"status": "running",
"includeComments": true,
"message": "<string>",
"error": "<string>",
"projects": [
{
"sourceId": "<string>",
"name": "<string>",
"status": "pending",
"projectId": "<string>",
"projectSlug": "<string>",
"counts": {
"columns": 123,
"tasks": 123,
"labels": 123,
"comments": 123,
"assignees": 123,
"relations": 123
},
"warnings": [
"<string>"
],
"error": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}Authorizations
API key or session token (Bearer)
Body
application/json
Minimum string length:
1Where to import from and how to sign in. Credentials are used only for this request and the import it starts; they are never stored, logged, or returned.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Show child attributes
Show child attributes
Source project IDs from listImportSourceProjects, imported in this order.
Required array length:
1 - 50 elementsRequired string length:
1 - 512Import task comments too. Defaults to true.
Response
The import started
Show child attributes
Show child attributes
Was this page helpful?
⌘I